[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.AllowOutboundEvents

Allows a mouse click on unused space in the control, and moves the cursor to the nearest valid cell.

## Declaration

Source position: grids.pas line 1220

`protected property TCustomGrid.AllowOutboundEvents : Boolean read FAllowOutboundEvents write FAllowOutboundEvents default True;`

## Description

Normally, when a user clicks on a point over the empty space after cells (for example if grid has three rows but user clicks on imaginary fourth row) the current focused cell will move to the nearest cell to clicked point. We call this an outbound event.

The default value or the property is True, as this has been the grid's behavior since the beginning.

This was added to mimic Delphi behavior where outbound events are not available; to enable Delphi compatibility, set AllowOutboundEvents to False.